import Dexie from "dexie";
import { CommentIdType } from "@newSdk/model/comment/CommentId";
interface HotCommentProps {
    key: string;
    val: string;
}
declare class HotComment {
    static authorize: boolean;
    private db?;
    private userId?;
    private store?;
    Event: {
        hotCommentChange: string;
    };
    init(db: Dexie): void;
    getValueByKey(k: string): Promise<any>;
    bulkGetCommentsByMomentIds(ids: string[]): Promise<{
        [key: string]: CommentIdType[];
    }>;
    bulkPut(list: HotCommentProps[]): void;
    handlePublish(list: string[]): void;
}
export declare const hotComment: HotComment;
export default hotComment;
